package com.mortals.xhx.module.matter.model;

import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.matter.model.vo.MatterVo;
/**
 * 基础事项实体对象
 *
 * @author zxfei
 * @date 2022-01-17
 */

public class MatterEntity extends MatterVo {
    private static final long serialVersionUID = 1L;

    /**
     * 站点ID
     */
    private Long siteId;
    /**
     * 从政务系统来的事项id
     */
    private String tid;
    /**
     * 从政务系统来的事项code
     */
    private String tcode;
    /**
     * 从政务系统来的事项name
     */
    private String tname;
    /**
     * 事项名称
     */
    private String matterName;
    /**
     * 英语事项名
     */
    private String englishName;
    /**
     * 事项编号
     */
    private String matterNo;
    /**
     * 所属部门
     */
    private String belongDept;
    /**
     * 服务对象 （事业法人.事业法人，社会组织法人.社会组织法人，非法人企业.非法人企业，企业法人.企业法人，自然人.自然人，其他组织.其他组织）
     */
    private String appoveObjectShow;
    /**
     * 通办范围 （无.无，全国.全国，全市.全市，全县.全县，全镇[乡 街道].全镇[乡 街道]，跨村[社区].跨村[社区]）
     */
    private String operatScopeShow;
    /**
     * 办件类型（网络办件.网络办件，行政审批一般件.行政审批一般件，综合窗口件.综合窗口件）
     */
    private String appoveTimeLimitShow;
    /**
     * 办理形式（窗口办理.窗口办理，网上办理.网上办理）
     */
    private String handleType;
    /**
     * 法定办结时限
     */
    private String legalTimeLimitShow;
    /**
     * 法定时限办结说明
     */
    private String legalEndExplain;
    /**
     * 承诺办结时限
     */
    private String promiseTimeLimitShow;
    /**
     * 承诺时限办结说明
     */
    private String promiseEndExplain;
    /**
     * 是否收费（否.否，是.是）
     */
    private String isChargesShow;
    /**
     * 认证等级需求（实名认证.实名认证，单次面签.单次面签，每次面签.每次面签）
     */
    private String certificationLevelsShow;
    /**
     * 计划生效日期
     */
    private Date planTakeTime;
    /**
     * 承诺生效日期
     */
    private Date promiseTakeTime;
    /**
     * 特别程序
     */
    private String specialProcedure;
    /**
     * 窗口到现场次数
     */
    private Integer windowToTheSceneNum;
    /**
     * 是否网上预约,窗口办理选（否.否，是.是）
     */
    private String isOnlineSubscribeShow;
    /**
     * 物流快递,窗口办理选（否.否，是.是）
     */
    private String isExpressTakeShow;
    /**
     * 是否支持全省范围就近取件（否.否，是.是）
     */
    private String isProvinceAcquisitionShow;
    /**
     * 是否支持全省范围就近办理（否.否，是.是）
     */
    private String isApplyProvinceShow;
    /**
     * 必须到现场原因
     */
    private String mustSceneExplain;
    /**
     * 网办类型（原件预审.原件预审，原件核验.原件核验，全程网办.全程网办）
     */
    private String onlineType;
    /**
     * 网办到现场次数
     */
    private Integer onlineToTheSceneNum;
    /**
     * 网络办理深度（互联网咨询.互联网咨询，互联网收件.互联网收件，互联网预审.互联网预审，互联网受理.互联网受理，互联网办理.互联网办理，互联网办理结果信息反馈.互联网办理结果信息反馈，其他.其他）
     */
    private String onlineOperatDeep;
    /**
     * 物流快递，网上办理选（否.否，是.是）
     */
    private String isExpressTakeOnlineShow;
    /**
     * 是否支持上门收取申请（否.否，是.是）
     */
    private String isDoorTakeShow;
    /**
     * 网上必须到现场原因
     */
    private String onlineMustSceneExplain;
    /**
     * 实施主体
     */
    private String performDeptType;
    /**
     * 事项版本
     */
    private String matterEdition;
    /**
     * 事项类型名称（行政许可.行政许可，行政处罚.行政处罚，行政强制.行政强制，行政征收.行政征收，行政给付.行政给付，行政检查.行政检查，行政确认.行政确认，行政奖励.行政奖励，行政裁决.行政裁决，其他行政权力.其他行政权力，主动服务.主动服务，依申请服务.依申请服务，咨询查询.咨询查询，未归类事项.未归类事项）
     */
    private String eventTypeShow;
    /**
     * 行使层级名称（省级.省级，市级.市级，县级.县级，镇[乡 街道].镇[乡 街道]，村[社区]级.村[社区]级）
     */
    private String performHierarchyShow;
    /**
     * 权力来源（法定本级行使.法定本级行使，上级下放.上级下放，上级授权.上级授权，同级授权.同级授权，上级委托.上级委托，同级委托.同级委托）
     */
    private String powerSourceShow;
    /**
     * 实施主体性质（法定机关.法定机关，授权组织.授权组织，受委托组织.受委托组织）
     */
    private String performDeptTypeShow;
    /**
     * 是否进驻中心（否.否，是.是）
     */
    private String goveServiceCenterShow;
    /**
     * 是否纳入便民服务中心（否.否，是.是）
     */
    private String isConvenientCenterShow;
    /**
     * 自助终端办理 （否.否，是.是）
     */
    private String terminalHandle;
    /**
     * 是否网办 （否.否，是.是）
     */
    private String isOnline;
    /**
     * 支持网上支付（否.否，是.是）
     */
    private String isOnlinePayShow;
    /**
     * 委托部门（否.否，是.是）
     */
    private String entrustmentDepartmen;
    /**
     * 联办机构
     */
    private String jointInfoShow;
    /**
     * 事项状态（停用.停用，在用.在用）
     */
    private String matterStatus;
    /**
     * 数量限制
     */
    private Long numberLimit;
    /**
     * 主题类型
     */
    private String type;
    /**
     * 基本编码
     */
    private String baseCode;
    /**
     * 实施编码
     */
    private String implementCode;
    /**
     * 实施主体编码
     */
    private String implementBodyCode;
    /**
     * 办理项编码
     */
    private String operateItemCode;
    /**
     * 乡镇街道名称
     */
    private String townshipName;
    /**
     * 乡镇街道代码
     */
    private String townshipCode;
    /**
     * 村居社区名称
     */
    private String villageName;
    /**
     * 村居社区代码
     */
    private String villageCode;
    /**
     * 办理时间
     */
    private String operateTime;
    /**
     * 办理地点
     */
    private String operateSite;
    /**
     * 咨询方式
     */
    private String cousultingShow;
    /**
     * 咨询电话
     */
    private String cousultingTelephoneShow;
    /**
     * 监督方式
     */
    private String superviseShow;
    /**
     * 是否样表展示（否.否，是.是）
     */
    private String mattertype;
    /**
     * 部门编号
     */
    private String deptCode;
    /**
     * 目录清单编码
     */
    private String dirListCode;
    /**
     * 运行系统名称
     */
    private String runSystemShow;
    /**
     * 联审信息
     */
    private String jointReviewInfoShow;
    /**
     * 办理类型
     */
    private String doThingTypeShow;
    /**
     * 公示时限
     */
    private String pubTimeShow;
    /**
     * 投诉电话
     */
    private String supervisoryTelephoneShow;
    /**
     * 办公时间
     */
    private String handleTimeShow;
    /**
     * 办公地址
     */
    private String handlePlaceShow;
    /**
     * 节日类型
     */
    private String daysTypeShow;
    /**
     * 行业
     */
    private String tradeShow;
    /**
     * 事项来源
     */
    private String eventSourceShow;
    /**
     * 审批结果类型
     */
    private String applyresultTypeShow;
    /**
     * 审查类型
     */
    private String typeOfReview;
    /**
     * 实施机构
     */
    private String enforcement;
    /**
     * 服务主题分类
     */
    private String serviceClassification;
    /**
     * 许可数量
     */
    private String licenseNumber;
    /**
     * 办事者到办理现场次数
     */
    private Integer number;
    /**
     * 办理查询
     */
    private String inquire;
    /**
     * 办理结果名称
     */
    private String handlingresultNames;
    /**
     * 审批结果样本
     */
    private String sampleApprovalResults;
    /**
     * 实施主题
     */
    private String performDeptName;
    /**
     * html存储地址
     */
    private String html;
    /**
     * 全债清单类型
     */
    private String eventType;
    /**
     *
     */
    private Long shardKey;
    /**
     * 个人1
     */
    private Integer parson;
    /**
     * 法人 1
     */
    private Integer lengal;
    /**
     * 总材料说明
     */
    private String materialRemark;
    /**
     * 事项二维码
     */
    private String codeurl;
    /**
     * 行使方式
     */
    private String applyObject;
    /**
     * 统一受理模式
     */
    private String isUniteAccept;
    /**
     * 排序
     */
    private Integer sort;
    /**
     * 事项来源(0.政务网，1.自定义)
     */
    private Integer source;



    public MatterEntity(){}
    /**
     * 获取 站点ID
     * @return Long
     */
    public Long getSiteId(){
        return siteId;
    }
    /**
     * 设置 站点ID
     * @param siteId
     */
    public void setSiteId(Long siteId){
        this.siteId = siteId;
    }
    /**
     * 获取 从政务系统来的事项id
     * @return String
     */
    public String getTid(){
        return tid;
    }
    /**
     * 设置 从政务系统来的事项id
     * @param tid
     */
    public void setTid(String tid){
        this.tid = tid;
    }
    /**
     * 获取 从政务系统来的事项code
     * @return String
     */
    public String getTcode(){
        return tcode;
    }
    /**
     * 设置 从政务系统来的事项code
     * @param tcode
     */
    public void setTcode(String tcode){
        this.tcode = tcode;
    }
    /**
     * 获取 从政务系统来的事项name
     * @return String
     */
    public String getTname(){
        return tname;
    }
    /**
     * 设置 从政务系统来的事项name
     * @param tname
     */
    public void setTname(String tname){
        this.tname = tname;
    }
    /**
     * 获取 事项名称
     * @return String
     */
    public String getMatterName(){
        return matterName;
    }
    /**
     * 设置 事项名称
     * @param matterName
     */
    public void setMatterName(String matterName){
        this.matterName = matterName;
    }
    /**
     * 获取 英语事项名
     * @return String
     */
    public String getEnglishName(){
        return englishName;
    }
    /**
     * 设置 英语事项名
     * @param englishName
     */
    public void setEnglishName(String englishName){
        this.englishName = englishName;
    }
    /**
     * 获取 事项编号
     * @return String
     */
    public String getMatterNo(){
        return matterNo;
    }
    /**
     * 设置 事项编号
     * @param matterNo
     */
    public void setMatterNo(String matterNo){
        this.matterNo = matterNo;
    }
    /**
     * 获取 所属部门
     * @return String
     */
    public String getBelongDept(){
        return belongDept;
    }
    /**
     * 设置 所属部门
     * @param belongDept
     */
    public void setBelongDept(String belongDept){
        this.belongDept = belongDept;
    }
    /**
     * 获取 服务对象 （事业法人.事业法人，社会组织法人.社会组织法人，非法人企业.非法人企业，企业法人.企业法人，自然人.自然人，其他组织.其他组织）
     * @return String
     */
    public String getAppoveObjectShow(){
        return appoveObjectShow;
    }
    /**
     * 设置 服务对象 （事业法人.事业法人，社会组织法人.社会组织法人，非法人企业.非法人企业，企业法人.企业法人，自然人.自然人，其他组织.其他组织）
     * @param appoveObjectShow
     */
    public void setAppoveObjectShow(String appoveObjectShow){
        this.appoveObjectShow = appoveObjectShow;
    }
    /**
     * 获取 通办范围 （无.无，全国.全国，全市.全市，全县.全县，全镇[乡 街道].全镇[乡 街道]，跨村[社区].跨村[社区]）
     * @return String
     */
    public String getOperatScopeShow(){
        return operatScopeShow;
    }
    /**
     * 设置 通办范围 （无.无，全国.全国，全市.全市，全县.全县，全镇[乡 街道].全镇[乡 街道]，跨村[社区].跨村[社区]）
     * @param operatScopeShow
     */
    public void setOperatScopeShow(String operatScopeShow){
        this.operatScopeShow = operatScopeShow;
    }
    /**
     * 获取 办件类型（网络办件.网络办件，行政审批一般件.行政审批一般件，综合窗口件.综合窗口件）
     * @return String
     */
    public String getAppoveTimeLimitShow(){
        return appoveTimeLimitShow;
    }
    /**
     * 设置 办件类型（网络办件.网络办件，行政审批一般件.行政审批一般件，综合窗口件.综合窗口件）
     * @param appoveTimeLimitShow
     */
    public void setAppoveTimeLimitShow(String appoveTimeLimitShow){
        this.appoveTimeLimitShow = appoveTimeLimitShow;
    }
    /**
     * 获取 办理形式（窗口办理.窗口办理，网上办理.网上办理）
     * @return String
     */
    public String getHandleType(){
        return handleType;
    }
    /**
     * 设置 办理形式（窗口办理.窗口办理，网上办理.网上办理）
     * @param handleType
     */
    public void setHandleType(String handleType){
        this.handleType = handleType;
    }
    /**
     * 获取 法定办结时限
     * @return String
     */
    public String getLegalTimeLimitShow(){
        return legalTimeLimitShow;
    }
    /**
     * 设置 法定办结时限
     * @param legalTimeLimitShow
     */
    public void setLegalTimeLimitShow(String legalTimeLimitShow){
        this.legalTimeLimitShow = legalTimeLimitShow;
    }
    /**
     * 获取 法定时限办结说明
     * @return String
     */
    public String getLegalEndExplain(){
        return legalEndExplain;
    }
    /**
     * 设置 法定时限办结说明
     * @param legalEndExplain
     */
    public void setLegalEndExplain(String legalEndExplain){
        this.legalEndExplain = legalEndExplain;
    }
    /**
     * 获取 承诺办结时限
     * @return String
     */
    public String getPromiseTimeLimitShow(){
        return promiseTimeLimitShow;
    }
    /**
     * 设置 承诺办结时限
     * @param promiseTimeLimitShow
     */
    public void setPromiseTimeLimitShow(String promiseTimeLimitShow){
        this.promiseTimeLimitShow = promiseTimeLimitShow;
    }
    /**
     * 获取 承诺时限办结说明
     * @return String
     */
    public String getPromiseEndExplain(){
        return promiseEndExplain;
    }
    /**
     * 设置 承诺时限办结说明
     * @param promiseEndExplain
     */
    public void setPromiseEndExplain(String promiseEndExplain){
        this.promiseEndExplain = promiseEndExplain;
    }
    /**
     * 获取 是否收费（否.否，是.是）
     * @return String
     */
    public String getIsChargesShow(){
        return isChargesShow;
    }
    /**
     * 设置 是否收费（否.否，是.是）
     * @param isChargesShow
     */
    public void setIsChargesShow(String isChargesShow){
        this.isChargesShow = isChargesShow;
    }
    /**
     * 获取 认证等级需求（实名认证.实名认证，单次面签.单次面签，每次面签.每次面签）
     * @return String
     */
    public String getCertificationLevelsShow(){
        return certificationLevelsShow;
    }
    /**
     * 设置 认证等级需求（实名认证.实名认证，单次面签.单次面签，每次面签.每次面签）
     * @param certificationLevelsShow
     */
    public void setCertificationLevelsShow(String certificationLevelsShow){
        this.certificationLevelsShow = certificationLevelsShow;
    }
    /**
     * 获取 计划生效日期
     * @return Date
     */
    public Date getPlanTakeTime(){
        return planTakeTime;
    }
    /**
     * 设置 计划生效日期
     * @param planTakeTime
     */
    public void setPlanTakeTime(Date planTakeTime){
        this.planTakeTime = planTakeTime;
    }
    /**
     * 获取 承诺生效日期
     * @return Date
     */
    public Date getPromiseTakeTime(){
        return promiseTakeTime;
    }
    /**
     * 设置 承诺生效日期
     * @param promiseTakeTime
     */
    public void setPromiseTakeTime(Date promiseTakeTime){
        this.promiseTakeTime = promiseTakeTime;
    }
    /**
     * 获取 特别程序
     * @return String
     */
    public String getSpecialProcedure(){
        return specialProcedure;
    }
    /**
     * 设置 特别程序
     * @param specialProcedure
     */
    public void setSpecialProcedure(String specialProcedure){
        this.specialProcedure = specialProcedure;
    }
    /**
     * 获取 窗口到现场次数
     * @return Integer
     */
    public Integer getWindowToTheSceneNum(){
        return windowToTheSceneNum;
    }
    /**
     * 设置 窗口到现场次数
     * @param windowToTheSceneNum
     */
    public void setWindowToTheSceneNum(Integer windowToTheSceneNum){
        this.windowToTheSceneNum = windowToTheSceneNum;
    }
    /**
     * 获取 是否网上预约,窗口办理选（否.否，是.是）
     * @return String
     */
    public String getIsOnlineSubscribeShow(){
        return isOnlineSubscribeShow;
    }
    /**
     * 设置 是否网上预约,窗口办理选（否.否，是.是）
     * @param isOnlineSubscribeShow
     */
    public void setIsOnlineSubscribeShow(String isOnlineSubscribeShow){
        this.isOnlineSubscribeShow = isOnlineSubscribeShow;
    }
    /**
     * 获取 物流快递,窗口办理选（否.否，是.是）
     * @return String
     */
    public String getIsExpressTakeShow(){
        return isExpressTakeShow;
    }
    /**
     * 设置 物流快递,窗口办理选（否.否，是.是）
     * @param isExpressTakeShow
     */
    public void setIsExpressTakeShow(String isExpressTakeShow){
        this.isExpressTakeShow = isExpressTakeShow;
    }
    /**
     * 获取 是否支持全省范围就近取件（否.否，是.是）
     * @return String
     */
    public String getIsProvinceAcquisitionShow(){
        return isProvinceAcquisitionShow;
    }
    /**
     * 设置 是否支持全省范围就近取件（否.否，是.是）
     * @param isProvinceAcquisitionShow
     */
    public void setIsProvinceAcquisitionShow(String isProvinceAcquisitionShow){
        this.isProvinceAcquisitionShow = isProvinceAcquisitionShow;
    }
    /**
     * 获取 是否支持全省范围就近办理（否.否，是.是）
     * @return String
     */
    public String getIsApplyProvinceShow(){
        return isApplyProvinceShow;
    }
    /**
     * 设置 是否支持全省范围就近办理（否.否，是.是）
     * @param isApplyProvinceShow
     */
    public void setIsApplyProvinceShow(String isApplyProvinceShow){
        this.isApplyProvinceShow = isApplyProvinceShow;
    }
    /**
     * 获取 必须到现场原因
     * @return String
     */
    public String getMustSceneExplain(){
        return mustSceneExplain;
    }
    /**
     * 设置 必须到现场原因
     * @param mustSceneExplain
     */
    public void setMustSceneExplain(String mustSceneExplain){
        this.mustSceneExplain = mustSceneExplain;
    }
    /**
     * 获取 网办类型（原件预审.原件预审，原件核验.原件核验，全程网办.全程网办）
     * @return String
     */
    public String getOnlineType(){
        return onlineType;
    }
    /**
     * 设置 网办类型（原件预审.原件预审，原件核验.原件核验，全程网办.全程网办）
     * @param onlineType
     */
    public void setOnlineType(String onlineType){
        this.onlineType = onlineType;
    }
    /**
     * 获取 网办到现场次数
     * @return Integer
     */
    public Integer getOnlineToTheSceneNum(){
        return onlineToTheSceneNum;
    }
    /**
     * 设置 网办到现场次数
     * @param onlineToTheSceneNum
     */
    public void setOnlineToTheSceneNum(Integer onlineToTheSceneNum){
        this.onlineToTheSceneNum = onlineToTheSceneNum;
    }
    /**
     * 获取 网络办理深度（互联网咨询.互联网咨询，互联网收件.互联网收件，互联网预审.互联网预审，互联网受理.互联网受理，互联网办理.互联网办理，互联网办理结果信息反馈.互联网办理结果信息反馈，其他.其他）
     * @return String
     */
    public String getOnlineOperatDeep(){
        return onlineOperatDeep;
    }
    /**
     * 设置 网络办理深度（互联网咨询.互联网咨询，互联网收件.互联网收件，互联网预审.互联网预审，互联网受理.互联网受理，互联网办理.互联网办理，互联网办理结果信息反馈.互联网办理结果信息反馈，其他.其他）
     * @param onlineOperatDeep
     */
    public void setOnlineOperatDeep(String onlineOperatDeep){
        this.onlineOperatDeep = onlineOperatDeep;
    }
    /**
     * 获取 物流快递，网上办理选（否.否，是.是）
     * @return String
     */
    public String getIsExpressTakeOnlineShow(){
        return isExpressTakeOnlineShow;
    }
    /**
     * 设置 物流快递，网上办理选（否.否，是.是）
     * @param isExpressTakeOnlineShow
     */
    public void setIsExpressTakeOnlineShow(String isExpressTakeOnlineShow){
        this.isExpressTakeOnlineShow = isExpressTakeOnlineShow;
    }
    /**
     * 获取 是否支持上门收取申请（否.否，是.是）
     * @return String
     */
    public String getIsDoorTakeShow(){
        return isDoorTakeShow;
    }
    /**
     * 设置 是否支持上门收取申请（否.否，是.是）
     * @param isDoorTakeShow
     */
    public void setIsDoorTakeShow(String isDoorTakeShow){
        this.isDoorTakeShow = isDoorTakeShow;
    }
    /**
     * 获取 网上必须到现场原因
     * @return String
     */
    public String getOnlineMustSceneExplain(){
        return onlineMustSceneExplain;
    }
    /**
     * 设置 网上必须到现场原因
     * @param onlineMustSceneExplain
     */
    public void setOnlineMustSceneExplain(String onlineMustSceneExplain){
        this.onlineMustSceneExplain = onlineMustSceneExplain;
    }
    /**
     * 获取 实施主体
     * @return String
     */
    public String getPerformDeptType(){
        return performDeptType;
    }
    /**
     * 设置 实施主体
     * @param performDeptType
     */
    public void setPerformDeptType(String performDeptType){
        this.performDeptType = performDeptType;
    }
    /**
     * 获取 事项版本
     * @return String
     */
    public String getMatterEdition(){
        return matterEdition;
    }
    /**
     * 设置 事项版本
     * @param matterEdition
     */
    public void setMatterEdition(String matterEdition){
        this.matterEdition = matterEdition;
    }
    /**
     * 获取 事项类型名称（行政许可.行政许可，行政处罚.行政处罚，行政强制.行政强制，行政征收.行政征收，行政给付.行政给付，行政检查.行政检查，行政确认.行政确认，行政奖励.行政奖励，行政裁决.行政裁决，其他行政权力.其他行政权力，主动服务.主动服务，依申请服务.依申请服务，咨询查询.咨询查询，未归类事项.未归类事项）
     * @return String
     */
    public String getEventTypeShow(){
        return eventTypeShow;
    }
    /**
     * 设置 事项类型名称（行政许可.行政许可，行政处罚.行政处罚，行政强制.行政强制，行政征收.行政征收，行政给付.行政给付，行政检查.行政检查，行政确认.行政确认，行政奖励.行政奖励，行政裁决.行政裁决，其他行政权力.其他行政权力，主动服务.主动服务，依申请服务.依申请服务，咨询查询.咨询查询，未归类事项.未归类事项）
     * @param eventTypeShow
     */
    public void setEventTypeShow(String eventTypeShow){
        this.eventTypeShow = eventTypeShow;
    }
    /**
     * 获取 行使层级名称（省级.省级，市级.市级，县级.县级，镇[乡 街道].镇[乡 街道]，村[社区]级.村[社区]级）
     * @return String
     */
    public String getPerformHierarchyShow(){
        return performHierarchyShow;
    }
    /**
     * 设置 行使层级名称（省级.省级，市级.市级，县级.县级，镇[乡 街道].镇[乡 街道]，村[社区]级.村[社区]级）
     * @param performHierarchyShow
     */
    public void setPerformHierarchyShow(String performHierarchyShow){
        this.performHierarchyShow = performHierarchyShow;
    }
    /**
     * 获取 权力来源（法定本级行使.法定本级行使，上级下放.上级下放，上级授权.上级授权，同级授权.同级授权，上级委托.上级委托，同级委托.同级委托）
     * @return String
     */
    public String getPowerSourceShow(){
        return powerSourceShow;
    }
    /**
     * 设置 权力来源（法定本级行使.法定本级行使，上级下放.上级下放，上级授权.上级授权，同级授权.同级授权，上级委托.上级委托，同级委托.同级委托）
     * @param powerSourceShow
     */
    public void setPowerSourceShow(String powerSourceShow){
        this.powerSourceShow = powerSourceShow;
    }
    /**
     * 获取 实施主体性质（法定机关.法定机关，授权组织.授权组织，受委托组织.受委托组织）
     * @return String
     */
    public String getPerformDeptTypeShow(){
        return performDeptTypeShow;
    }
    /**
     * 设置 实施主体性质（法定机关.法定机关，授权组织.授权组织，受委托组织.受委托组织）
     * @param performDeptTypeShow
     */
    public void setPerformDeptTypeShow(String performDeptTypeShow){
        this.performDeptTypeShow = performDeptTypeShow;
    }
    /**
     * 获取 是否进驻中心（否.否，是.是）
     * @return String
     */
    public String getGoveServiceCenterShow(){
        return goveServiceCenterShow;
    }
    /**
     * 设置 是否进驻中心（否.否，是.是）
     * @param goveServiceCenterShow
     */
    public void setGoveServiceCenterShow(String goveServiceCenterShow){
        this.goveServiceCenterShow = goveServiceCenterShow;
    }
    /**
     * 获取 是否纳入便民服务中心（否.否，是.是）
     * @return String
     */
    public String getIsConvenientCenterShow(){
        return isConvenientCenterShow;
    }
    /**
     * 设置 是否纳入便民服务中心（否.否，是.是）
     * @param isConvenientCenterShow
     */
    public void setIsConvenientCenterShow(String isConvenientCenterShow){
        this.isConvenientCenterShow = isConvenientCenterShow;
    }
    /**
     * 获取 自助终端办理 （否.否，是.是）
     * @return String
     */
    public String getTerminalHandle(){
        return terminalHandle;
    }
    /**
     * 设置 自助终端办理 （否.否，是.是）
     * @param terminalHandle
     */
    public void setTerminalHandle(String terminalHandle){
        this.terminalHandle = terminalHandle;
    }
    /**
     * 获取 是否网办 （否.否，是.是）
     * @return String
     */
    public String getIsOnline(){
        return isOnline;
    }
    /**
     * 设置 是否网办 （否.否，是.是）
     * @param isOnline
     */
    public void setIsOnline(String isOnline){
        this.isOnline = isOnline;
    }
    /**
     * 获取 支持网上支付（否.否，是.是）
     * @return String
     */
    public String getIsOnlinePayShow(){
        return isOnlinePayShow;
    }
    /**
     * 设置 支持网上支付（否.否，是.是）
     * @param isOnlinePayShow
     */
    public void setIsOnlinePayShow(String isOnlinePayShow){
        this.isOnlinePayShow = isOnlinePayShow;
    }
    /**
     * 获取 委托部门（否.否，是.是）
     * @return String
     */
    public String getEntrustmentDepartmen(){
        return entrustmentDepartmen;
    }
    /**
     * 设置 委托部门（否.否，是.是）
     * @param entrustmentDepartmen
     */
    public void setEntrustmentDepartmen(String entrustmentDepartmen){
        this.entrustmentDepartmen = entrustmentDepartmen;
    }
    /**
     * 获取 联办机构
     * @return String
     */
    public String getJointInfoShow(){
        return jointInfoShow;
    }
    /**
     * 设置 联办机构
     * @param jointInfoShow
     */
    public void setJointInfoShow(String jointInfoShow){
        this.jointInfoShow = jointInfoShow;
    }
    /**
     * 获取 事项状态（停用.停用，在用.在用）
     * @return String
     */
    public String getMatterStatus(){
        return matterStatus;
    }
    /**
     * 设置 事项状态（停用.停用，在用.在用）
     * @param matterStatus
     */
    public void setMatterStatus(String matterStatus){
        this.matterStatus = matterStatus;
    }
    /**
     * 获取 数量限制
     * @return Long
     */
    public Long getNumberLimit(){
        return numberLimit;
    }
    /**
     * 设置 数量限制
     * @param numberLimit
     */
    public void setNumberLimit(Long numberLimit){
        this.numberLimit = numberLimit;
    }
    /**
     * 获取 主题类型
     * @return String
     */
    public String getType(){
        return type;
    }
    /**
     * 设置 主题类型
     * @param type
     */
    public void setType(String type){
        this.type = type;
    }
    /**
     * 获取 基本编码
     * @return String
     */
    public String getBaseCode(){
        return baseCode;
    }
    /**
     * 设置 基本编码
     * @param baseCode
     */
    public void setBaseCode(String baseCode){
        this.baseCode = baseCode;
    }
    /**
     * 获取 实施编码
     * @return String
     */
    public String getImplementCode(){
        return implementCode;
    }
    /**
     * 设置 实施编码
     * @param implementCode
     */
    public void setImplementCode(String implementCode){
        this.implementCode = implementCode;
    }
    /**
     * 获取 实施主体编码
     * @return String
     */
    public String getImplementBodyCode(){
        return implementBodyCode;
    }
    /**
     * 设置 实施主体编码
     * @param implementBodyCode
     */
    public void setImplementBodyCode(String implementBodyCode){
        this.implementBodyCode = implementBodyCode;
    }
    /**
     * 获取 办理项编码
     * @return String
     */
    public String getOperateItemCode(){
        return operateItemCode;
    }
    /**
     * 设置 办理项编码
     * @param operateItemCode
     */
    public void setOperateItemCode(String operateItemCode){
        this.operateItemCode = operateItemCode;
    }
    /**
     * 获取 乡镇街道名称
     * @return String
     */
    public String getTownshipName(){
        return townshipName;
    }
    /**
     * 设置 乡镇街道名称
     * @param townshipName
     */
    public void setTownshipName(String townshipName){
        this.townshipName = townshipName;
    }
    /**
     * 获取 乡镇街道代码
     * @return String
     */
    public String getTownshipCode(){
        return townshipCode;
    }
    /**
     * 设置 乡镇街道代码
     * @param townshipCode
     */
    public void setTownshipCode(String townshipCode){
        this.townshipCode = townshipCode;
    }
    /**
     * 获取 村居社区名称
     * @return String
     */
    public String getVillageName(){
        return villageName;
    }
    /**
     * 设置 村居社区名称
     * @param villageName
     */
    public void setVillageName(String villageName){
        this.villageName = villageName;
    }
    /**
     * 获取 村居社区代码
     * @return String
     */
    public String getVillageCode(){
        return villageCode;
    }
    /**
     * 设置 村居社区代码
     * @param villageCode
     */
    public void setVillageCode(String villageCode){
        this.villageCode = villageCode;
    }
    /**
     * 获取 办理时间
     * @return String
     */
    public String getOperateTime(){
        return operateTime;
    }
    /**
     * 设置 办理时间
     * @param operateTime
     */
    public void setOperateTime(String operateTime){
        this.operateTime = operateTime;
    }
    /**
     * 获取 办理地点
     * @return String
     */
    public String getOperateSite(){
        return operateSite;
    }
    /**
     * 设置 办理地点
     * @param operateSite
     */
    public void setOperateSite(String operateSite){
        this.operateSite = operateSite;
    }
    /**
     * 获取 咨询方式
     * @return String
     */
    public String getCousultingShow(){
        return cousultingShow;
    }
    /**
     * 设置 咨询方式
     * @param cousultingShow
     */
    public void setCousultingShow(String cousultingShow){
        this.cousultingShow = cousultingShow;
    }
    /**
     * 获取 咨询电话
     * @return String
     */
    public String getCousultingTelephoneShow(){
        return cousultingTelephoneShow;
    }
    /**
     * 设置 咨询电话
     * @param cousultingTelephoneShow
     */
    public void setCousultingTelephoneShow(String cousultingTelephoneShow){
        this.cousultingTelephoneShow = cousultingTelephoneShow;
    }
    /**
     * 获取 监督方式
     * @return String
     */
    public String getSuperviseShow(){
        return superviseShow;
    }
    /**
     * 设置 监督方式
     * @param superviseShow
     */
    public void setSuperviseShow(String superviseShow){
        this.superviseShow = superviseShow;
    }
    /**
     * 获取 是否样表展示（否.否，是.是）
     * @return String
     */
    public String getMattertype(){
        return mattertype;
    }
    /**
     * 设置 是否样表展示（否.否，是.是）
     * @param mattertype
     */
    public void setMattertype(String mattertype){
        this.mattertype = mattertype;
    }
    /**
     * 获取 部门编号
     * @return String
     */
    public String getDeptCode(){
        return deptCode;
    }
    /**
     * 设置 部门编号
     * @param deptCode
     */
    public void setDeptCode(String deptCode){
        this.deptCode = deptCode;
    }
    /**
     * 获取 目录清单编码
     * @return String
     */
    public String getDirListCode(){
        return dirListCode;
    }
    /**
     * 设置 目录清单编码
     * @param dirListCode
     */
    public void setDirListCode(String dirListCode){
        this.dirListCode = dirListCode;
    }
    /**
     * 获取 运行系统名称
     * @return String
     */
    public String getRunSystemShow(){
        return runSystemShow;
    }
    /**
     * 设置 运行系统名称
     * @param runSystemShow
     */
    public void setRunSystemShow(String runSystemShow){
        this.runSystemShow = runSystemShow;
    }
    /**
     * 获取 联审信息
     * @return String
     */
    public String getJointReviewInfoShow(){
        return jointReviewInfoShow;
    }
    /**
     * 设置 联审信息
     * @param jointReviewInfoShow
     */
    public void setJointReviewInfoShow(String jointReviewInfoShow){
        this.jointReviewInfoShow = jointReviewInfoShow;
    }
    /**
     * 获取 办理类型
     * @return String
     */
    public String getDoThingTypeShow(){
        return doThingTypeShow;
    }
    /**
     * 设置 办理类型
     * @param doThingTypeShow
     */
    public void setDoThingTypeShow(String doThingTypeShow){
        this.doThingTypeShow = doThingTypeShow;
    }
    /**
     * 获取 公示时限
     * @return String
     */
    public String getPubTimeShow(){
        return pubTimeShow;
    }
    /**
     * 设置 公示时限
     * @param pubTimeShow
     */
    public void setPubTimeShow(String pubTimeShow){
        this.pubTimeShow = pubTimeShow;
    }
    /**
     * 获取 投诉电话
     * @return String
     */
    public String getSupervisoryTelephoneShow(){
        return supervisoryTelephoneShow;
    }
    /**
     * 设置 投诉电话
     * @param supervisoryTelephoneShow
     */
    public void setSupervisoryTelephoneShow(String supervisoryTelephoneShow){
        this.supervisoryTelephoneShow = supervisoryTelephoneShow;
    }
    /**
     * 获取 办公时间
     * @return String
     */
    public String getHandleTimeShow(){
        return handleTimeShow;
    }
    /**
     * 设置 办公时间
     * @param handleTimeShow
     */
    public void setHandleTimeShow(String handleTimeShow){
        this.handleTimeShow = handleTimeShow;
    }
    /**
     * 获取 办公地址
     * @return String
     */
    public String getHandlePlaceShow(){
        return handlePlaceShow;
    }
    /**
     * 设置 办公地址
     * @param handlePlaceShow
     */
    public void setHandlePlaceShow(String handlePlaceShow){
        this.handlePlaceShow = handlePlaceShow;
    }
    /**
     * 获取 节日类型
     * @return String
     */
    public String getDaysTypeShow(){
        return daysTypeShow;
    }
    /**
     * 设置 节日类型
     * @param daysTypeShow
     */
    public void setDaysTypeShow(String daysTypeShow){
        this.daysTypeShow = daysTypeShow;
    }
    /**
     * 获取 行业
     * @return String
     */
    public String getTradeShow(){
        return tradeShow;
    }
    /**
     * 设置 行业
     * @param tradeShow
     */
    public void setTradeShow(String tradeShow){
        this.tradeShow = tradeShow;
    }
    /**
     * 获取 事项来源
     * @return String
     */
    public String getEventSourceShow(){
        return eventSourceShow;
    }
    /**
     * 设置 事项来源
     * @param eventSourceShow
     */
    public void setEventSourceShow(String eventSourceShow){
        this.eventSourceShow = eventSourceShow;
    }
    /**
     * 获取 审批结果类型
     * @return String
     */
    public String getApplyresultTypeShow(){
        return applyresultTypeShow;
    }
    /**
     * 设置 审批结果类型
     * @param applyresultTypeShow
     */
    public void setApplyresultTypeShow(String applyresultTypeShow){
        this.applyresultTypeShow = applyresultTypeShow;
    }
    /**
     * 获取 审查类型
     * @return String
     */
    public String getTypeOfReview(){
        return typeOfReview;
    }
    /**
     * 设置 审查类型
     * @param typeOfReview
     */
    public void setTypeOfReview(String typeOfReview){
        this.typeOfReview = typeOfReview;
    }
    /**
     * 获取 实施机构
     * @return String
     */
    public String getEnforcement(){
        return enforcement;
    }
    /**
     * 设置 实施机构
     * @param enforcement
     */
    public void setEnforcement(String enforcement){
        this.enforcement = enforcement;
    }
    /**
     * 获取 服务主题分类
     * @return String
     */
    public String getServiceClassification(){
        return serviceClassification;
    }
    /**
     * 设置 服务主题分类
     * @param serviceClassification
     */
    public void setServiceClassification(String serviceClassification){
        this.serviceClassification = serviceClassification;
    }
    /**
     * 获取 许可数量
     * @return String
     */
    public String getLicenseNumber(){
        return licenseNumber;
    }
    /**
     * 设置 许可数量
     * @param licenseNumber
     */
    public void setLicenseNumber(String licenseNumber){
        this.licenseNumber = licenseNumber;
    }
    /**
     * 获取 办事者到办理现场次数
     * @return Integer
     */
    public Integer getNumber(){
        return number;
    }
    /**
     * 设置 办事者到办理现场次数
     * @param number
     */
    public void setNumber(Integer number){
        this.number = number;
    }
    /**
     * 获取 办理查询
     * @return String
     */
    public String getInquire(){
        return inquire;
    }
    /**
     * 设置 办理查询
     * @param inquire
     */
    public void setInquire(String inquire){
        this.inquire = inquire;
    }
    /**
     * 获取 办理结果名称
     * @return String
     */
    public String getHandlingresultNames(){
        return handlingresultNames;
    }
    /**
     * 设置 办理结果名称
     * @param handlingresultNames
     */
    public void setHandlingresultNames(String handlingresultNames){
        this.handlingresultNames = handlingresultNames;
    }
    /**
     * 获取 审批结果样本
     * @return String
     */
    public String getSampleApprovalResults(){
        return sampleApprovalResults;
    }
    /**
     * 设置 审批结果样本
     * @param sampleApprovalResults
     */
    public void setSampleApprovalResults(String sampleApprovalResults){
        this.sampleApprovalResults = sampleApprovalResults;
    }
    /**
     * 获取 实施主题
     * @return String
     */
    public String getPerformDeptName(){
        return performDeptName;
    }
    /**
     * 设置 实施主题
     * @param performDeptName
     */
    public void setPerformDeptName(String performDeptName){
        this.performDeptName = performDeptName;
    }
    /**
     * 获取 html存储地址
     * @return String
     */
    public String getHtml(){
        return html;
    }
    /**
     * 设置 html存储地址
     * @param html
     */
    public void setHtml(String html){
        this.html = html;
    }
    /**
     * 获取 全债清单类型
     * @return String
     */
    public String getEventType(){
        return eventType;
    }
    /**
     * 设置 全债清单类型
     * @param eventType
     */
    public void setEventType(String eventType){
        this.eventType = eventType;
    }
    /**
     * 获取
     * @return Long
     */
    public Long getShardKey(){
        return shardKey;
    }
    /**
     * 设置
     * @param shardKey
     */
    public void setShardKey(Long shardKey){
        this.shardKey = shardKey;
    }
    /**
     * 获取 个人1
     * @return Integer
     */
    public Integer getParson(){
        return parson;
    }
    /**
     * 设置 个人1
     * @param parson
     */
    public void setParson(Integer parson){
        this.parson = parson;
    }
    /**
     * 获取 法人 1
     * @return Integer
     */
    public Integer getLengal(){
        return lengal;
    }
    /**
     * 设置 法人 1
     * @param lengal
     */
    public void setLengal(Integer lengal){
        this.lengal = lengal;
    }
    /**
     * 获取 总材料说明
     * @return String
     */
    public String getMaterialRemark(){
        return materialRemark;
    }
    /**
     * 设置 总材料说明
     * @param materialRemark
     */
    public void setMaterialRemark(String materialRemark){
        this.materialRemark = materialRemark;
    }
    /**
     * 获取 事项二维码
     * @return String
     */
    public String getCodeurl(){
        return codeurl;
    }
    /**
     * 设置 事项二维码
     * @param codeurl
     */
    public void setCodeurl(String codeurl){
        this.codeurl = codeurl;
    }
    /**
     * 获取 行使方式
     * @return String
     */
    public String getApplyObject(){
        return applyObject;
    }
    /**
     * 设置 行使方式
     * @param applyObject
     */
    public void setApplyObject(String applyObject){
        this.applyObject = applyObject;
    }
    /**
     * 获取 统一受理模式
     * @return String
     */
    public String getIsUniteAccept(){
        return isUniteAccept;
    }
    /**
     * 设置 统一受理模式
     * @param isUniteAccept
     */
    public void setIsUniteAccept(String isUniteAccept){
        this.isUniteAccept = isUniteAccept;
    }
    /**
     * 获取 排序
     * @return Integer
     */
    public Integer getSort(){
        return sort;
    }
    /**
     * 设置 排序
     * @param sort
     */
    public void setSort(Integer sort){
        this.sort = sort;
    }
    /**
     * 获取 事项来源(0.政务网，1.自定义)
     * @return Integer
     */
    public Integer getSource(){
        return source;
    }
    /**
     * 设置 事项来源(0.政务网，1.自定义)
     * @param source
     */
    public void setSource(Integer source){
        this.source = source;
    }




    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof MatterEntity) {
            MatterEntity tmp = (MatterEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",siteId:").append(getSiteId());
        sb.append(",tid:").append(getTid());
        sb.append(",tcode:").append(getTcode());
        sb.append(",tname:").append(getTname());
        sb.append(",matterName:").append(getMatterName());
        sb.append(",englishName:").append(getEnglishName());
        sb.append(",matterNo:").append(getMatterNo());
        sb.append(",belongDept:").append(getBelongDept());
        sb.append(",appoveObjectShow:").append(getAppoveObjectShow());
        sb.append(",operatScopeShow:").append(getOperatScopeShow());
        sb.append(",appoveTimeLimitShow:").append(getAppoveTimeLimitShow());
        sb.append(",handleType:").append(getHandleType());
        sb.append(",legalTimeLimitShow:").append(getLegalTimeLimitShow());
        sb.append(",legalEndExplain:").append(getLegalEndExplain());
        sb.append(",promiseTimeLimitShow:").append(getPromiseTimeLimitShow());
        sb.append(",promiseEndExplain:").append(getPromiseEndExplain());
        sb.append(",isChargesShow:").append(getIsChargesShow());
        sb.append(",certificationLevelsShow:").append(getCertificationLevelsShow());
        sb.append(",planTakeTime:").append(getPlanTakeTime());
        sb.append(",promiseTakeTime:").append(getPromiseTakeTime());
        sb.append(",specialProcedure:").append(getSpecialProcedure());
        sb.append(",windowToTheSceneNum:").append(getWindowToTheSceneNum());
        sb.append(",isOnlineSubscribeShow:").append(getIsOnlineSubscribeShow());
        sb.append(",isExpressTakeShow:").append(getIsExpressTakeShow());
        sb.append(",isProvinceAcquisitionShow:").append(getIsProvinceAcquisitionShow());
        sb.append(",isApplyProvinceShow:").append(getIsApplyProvinceShow());
        sb.append(",mustSceneExplain:").append(getMustSceneExplain());
        sb.append(",onlineType:").append(getOnlineType());
        sb.append(",onlineToTheSceneNum:").append(getOnlineToTheSceneNum());
        sb.append(",onlineOperatDeep:").append(getOnlineOperatDeep());
        sb.append(",isExpressTakeOnlineShow:").append(getIsExpressTakeOnlineShow());
        sb.append(",isDoorTakeShow:").append(getIsDoorTakeShow());
        sb.append(",onlineMustSceneExplain:").append(getOnlineMustSceneExplain());
        sb.append(",performDeptType:").append(getPerformDeptType());
        sb.append(",matterEdition:").append(getMatterEdition());
        sb.append(",eventTypeShow:").append(getEventTypeShow());
        sb.append(",performHierarchyShow:").append(getPerformHierarchyShow());
        sb.append(",powerSourceShow:").append(getPowerSourceShow());
        sb.append(",performDeptTypeShow:").append(getPerformDeptTypeShow());
        sb.append(",goveServiceCenterShow:").append(getGoveServiceCenterShow());
        sb.append(",isConvenientCenterShow:").append(getIsConvenientCenterShow());
        sb.append(",terminalHandle:").append(getTerminalHandle());
        sb.append(",isOnline:").append(getIsOnline());
        sb.append(",isOnlinePayShow:").append(getIsOnlinePayShow());
        sb.append(",entrustmentDepartmen:").append(getEntrustmentDepartmen());
        sb.append(",jointInfoShow:").append(getJointInfoShow());
        sb.append(",matterStatus:").append(getMatterStatus());
        sb.append(",numberLimit:").append(getNumberLimit());
        sb.append(",type:").append(getType());
        sb.append(",baseCode:").append(getBaseCode());
        sb.append(",implementCode:").append(getImplementCode());
        sb.append(",implementBodyCode:").append(getImplementBodyCode());
        sb.append(",operateItemCode:").append(getOperateItemCode());
        sb.append(",townshipName:").append(getTownshipName());
        sb.append(",townshipCode:").append(getTownshipCode());
        sb.append(",villageName:").append(getVillageName());
        sb.append(",villageCode:").append(getVillageCode());
        sb.append(",operateTime:").append(getOperateTime());
        sb.append(",operateSite:").append(getOperateSite());
        sb.append(",cousultingShow:").append(getCousultingShow());
        sb.append(",cousultingTelephoneShow:").append(getCousultingTelephoneShow());
        sb.append(",superviseShow:").append(getSuperviseShow());
        sb.append(",mattertype:").append(getMattertype());
        sb.append(",deptCode:").append(getDeptCode());
        sb.append(",dirListCode:").append(getDirListCode());
        sb.append(",runSystemShow:").append(getRunSystemShow());
        sb.append(",jointReviewInfoShow:").append(getJointReviewInfoShow());
        sb.append(",doThingTypeShow:").append(getDoThingTypeShow());
        sb.append(",pubTimeShow:").append(getPubTimeShow());
        sb.append(",supervisoryTelephoneShow:").append(getSupervisoryTelephoneShow());
        sb.append(",handleTimeShow:").append(getHandleTimeShow());
        sb.append(",handlePlaceShow:").append(getHandlePlaceShow());
        sb.append(",daysTypeShow:").append(getDaysTypeShow());
        sb.append(",tradeShow:").append(getTradeShow());
        sb.append(",eventSourceShow:").append(getEventSourceShow());
        sb.append(",applyresultTypeShow:").append(getApplyresultTypeShow());
        sb.append(",typeOfReview:").append(getTypeOfReview());
        sb.append(",enforcement:").append(getEnforcement());
        sb.append(",serviceClassification:").append(getServiceClassification());
        sb.append(",licenseNumber:").append(getLicenseNumber());
        sb.append(",number:").append(getNumber());
        sb.append(",inquire:").append(getInquire());
        sb.append(",handlingresultNames:").append(getHandlingresultNames());
        sb.append(",sampleApprovalResults:").append(getSampleApprovalResults());
        sb.append(",performDeptName:").append(getPerformDeptName());
        sb.append(",html:").append(getHtml());
        sb.append(",eventType:").append(getEventType());
        sb.append(",shardKey:").append(getShardKey());
        sb.append(",parson:").append(getParson());
        sb.append(",lengal:").append(getLengal());
        sb.append(",materialRemark:").append(getMaterialRemark());
        sb.append(",codeurl:").append(getCodeurl());
        sb.append(",applyObject:").append(getApplyObject());
        sb.append(",isUniteAccept:").append(getIsUniteAccept());
        sb.append(",sort:").append(getSort());
        sb.append(",source:").append(getSource());
        return sb.toString();
    }

    public void initAttrValue(){

        this.siteId = null;

        this.tid = null;

        this.tcode = null;

        this.tname = null;

        this.matterName = null;

        this.englishName = "";

        this.matterNo = null;

        this.belongDept = null;

        this.appoveObjectShow = "事业法人";

        this.operatScopeShow = "无";

        this.appoveTimeLimitShow = "网络办件";

        this.handleType = "窗口办理";

        this.legalTimeLimitShow = null;

        this.legalEndExplain = null;

        this.promiseTimeLimitShow = null;

        this.promiseEndExplain = null;

        this.isChargesShow = "否";

        this.certificationLevelsShow = "实名认证";

        this.planTakeTime = null;

        this.promiseTakeTime = null;

        this.specialProcedure = null;

        this.windowToTheSceneNum = null;

        this.isOnlineSubscribeShow = "否";

        this.isExpressTakeShow = "否";

        this.isProvinceAcquisitionShow = "否";

        this.isApplyProvinceShow = "否";

        this.mustSceneExplain = null;

        this.onlineType = "原件预审";

        this.onlineToTheSceneNum = 0;

        this.onlineOperatDeep = "互联网咨询";

        this.isExpressTakeOnlineShow = null;

        this.isDoorTakeShow = "否";

        this.onlineMustSceneExplain = null;

        this.performDeptType = null;

        this.matterEdition = null;

        this.eventTypeShow = "行政许可";

        this.performHierarchyShow = null;

        this.powerSourceShow = null;

        this.performDeptTypeShow = null;

        this.goveServiceCenterShow = "否";

        this.isConvenientCenterShow = "否";

        this.terminalHandle = "是";

        this.isOnline = "是";

        this.isOnlinePayShow = "是";

        this.entrustmentDepartmen = "是";

        this.jointInfoShow = null;

        this.matterStatus = "在用";

        this.numberLimit = null;

        this.type = "";

        this.baseCode = null;

        this.implementCode = null;

        this.implementBodyCode = null;

        this.operateItemCode = null;

        this.townshipName = null;

        this.townshipCode = null;

        this.villageName = null;

        this.villageCode = null;

        this.operateTime = null;

        this.operateSite = null;

        this.cousultingShow = null;

        this.cousultingTelephoneShow = null;

        this.superviseShow = null;

        this.mattertype = "否";

        this.deptCode = null;

        this.dirListCode = null;

        this.runSystemShow = null;

        this.jointReviewInfoShow = null;

        this.doThingTypeShow = null;

        this.pubTimeShow = null;

        this.supervisoryTelephoneShow = null;

        this.handleTimeShow = null;

        this.handlePlaceShow = null;

        this.daysTypeShow = null;

        this.tradeShow = null;

        this.eventSourceShow = null;

        this.applyresultTypeShow = null;

        this.typeOfReview = null;

        this.enforcement = null;

        this.serviceClassification = null;

        this.licenseNumber = null;

        this.number = null;

        this.inquire = null;

        this.handlingresultNames = null;

        this.sampleApprovalResults = null;

        this.performDeptName = null;

        this.html = null;

        this.eventType = null;

        this.shardKey = null;

        this.parson = null;

        this.lengal = null;

        this.materialRemark = null;

        this.codeurl = "";

        this.applyObject = "";

        this.isUniteAccept = "";

        this.sort = null;

        this.source = 1;
    }
}